%global momorel 1
Summary: SELinux binary policy manipulation library
Name: libsepol
Version: 1.2.1
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
URL: http://www.nsa.gov/selinux/
Source0: http://www.nsa.gov/selinux/archives/libsepol-%{version}.tgz
# NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: libsepol.so

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%package devel
Summary: Header files and libraries used to build policy manipulation tools
Group: Development/Libraries
Requires: libsepol = %{version}

%description devel
The sepol-devel package contains the static libraries and header files
needed for developing applications that manipulate binary policies. 

%prep
%setup -q

%build
make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_lib} 
mkdir -p %{buildroot}%{_libdir} 
mkdir -p %{buildroot}%{_includedir} 
mkdir -p %{buildroot}%{_bindir} 
mkdir -p %{buildroot}%{_mandir}/man3
mkdir -p %{buildroot}%{_mandir}/man8
make DESTDIR="%{buildroot}" \
  LIBDIR="%{buildroot}%{_libdir}" \
  SHLIBDIR="%{buildroot}/%{_lib}" install

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files devel
%defattr(-,root,root)
%{_libdir}/libsepol.a
%{_libdir}/libsepol.so
%{_includedir}/sepol
%{_mandir}/man3/*.3*
%{_bindir}/*
%{_mandir}/man8/*.8*

%files
%defattr(-,root,root)
/%{_lib}/libsepol.so.1

%changelog
* Mon Nov 29 2004 TAKAHASHI Tamotsu <tamo>
- (1.2.1-1m)
- update

* Sat Nov 20 2004 TAKAHASHI Tamotsu <tamo>
- (1.2-1m)
- from http://www.nsa.gov/selinux/code/download5.cfm
